//Force feedback include.
//

#include "HAPLib.h"           // HAP Library Controls
#include "FFELib.h"            // Include only if linking to FFE_Lib

//Comment this out to not include Force Feedback code.
//#define USEFFB 1

extern HAP_device_info_struct	*HAPDeviceInfo;
extern MPC_communication_struct_type *HAPDevice;
extern BYTE FFOn,DoFF,GrassOn;
extern double ffb_time;

#define	BUTA1	14
#define	BUTA2 13
#define	BUTB1	11
#define	BUTB2	7

char InitFFB();
VOID CloseFFB();
VOID UpdateFFB();
VOID ReadFFB();
VOID GrassFFB(char T);
VOID TransitFFB(BYTE Fr,BYTE Fl);
VOID SetFFB(char);
VOID CrashFFB(WORD Dir);
